std::discrete_distribution< _IntType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _IntType | result_type

## Public Member Functions

template<typename _InputIterator >
| discrete_distribution (_InputIterator __wbegin, _InputIterator __wend)
| discrete_distribution (const param_type &__p)
| discrete_distribution (initializer_list< double > __wl)
template<typename _Func >
| discrete_distribution (size_t __nw, double __xmin, double __xmax, _Func __fw)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
std::vector< double > | probabilities () const
void | reset ()

## Friends

template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discrete_distribution< _IntType1 > &__x)
bool | operator== (const discrete_distribution &__d1, const discrete_distribution &__d2)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discrete_distribution< _IntType1 > &__x)

## Detailed Description

### template<typename _IntType = int>
class std::discrete_distribution< _IntType >

A discrete_distribution random number distribution.

The formula for the discrete probability mass function is

Definition at line 5171 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc